Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608543 - V2V fails to clean up /tmp/xxx.virt-v2v when no space left on disk
V2V fails to clean up /tmp/xxx.virt-v2v when no space left on disk
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On: 607987
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 23:09 EDT by Rita Wu
Modified: 2016-04-26 09:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 607987
Environment:
Last Closed: 2014-11-18 06:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rita Wu 2010-06-27 23:09:38 EDT
+++ This bug was initially created as a clone of Bug #607987 +++

Description of problem:

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda1              74G   72G     0 100% /
none                  2.7G  120K  2.7G   1% /var/lib/xenstored

# ll |grep virt-v2v
-rw------- 1 root root      0 Jun 25 01:57 92CN5feOwM.virt-v2v
-rw------- 1 root root      0 Jun 25 02:00 k7C93V7BkM.virt-v2v
-rw------- 1 root root      0 Jun 25 01:57 mhKSD2hK7Q.virt-v2v



Version-Release number of selected component (if applicable):
virt-v2v-0.6.0-6.el5

How reproducible:
always

Steps to Reproduce:
1.Let the usage of your disk become 100%
2.Run v2v
# virt-v2v -f /etc/virt-v2v.conf -i libvirtxml -o rhev -osd 10.66.90.115:/vol/v2vwulinglu/wulingluv2v/export /tmp/rhel5u4-64b-hv-raw-intel.img.xml
/tmp/libguestfsXXXXXX: cannot create temporary directory: No space left on device at /usr/bin/virt-v2v line 483.
Died at /usr/lib/perl5/vendor_perl/5.8.8/Sys/VirtV2V/Target/RHEV.pm line 136.
Error removing /tmp/92CN5feOwM.virt-v2v at /usr/lib/perl5/5.8.8/File/Temp.pm line 890.
Error removing /tmp/mhKSD2hK7Q.virt-v2v at /usr/lib/perl5/5.8.8/File/Temp.pm line 890.
Error removing /tmp/k7C93V7BkM.virt-v2v at /usr/lib/perl5/5.8.8/File/Temp.pm line 890.

  
Actual results:
As steps mentioned

Expected results:
V2V can clean up /tmp/xxx.virt-v2v 

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-27 23:23:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-07-15 11:03:07 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 9 RHEL Product and Program Management 2012-07-10 02:34:49 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 10 RHEL Product and Program Management 2012-07-10 21:58:52 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 11 RHEL Product and Program Management 2012-12-14 02:07:08 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 14 Richard W.M. Jones 2014-11-18 06:18:31 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.